## alliance 5.1.1

=== documentation/alliance-examples/Makefile ===
dirs := $(dir $(shell echo */Makefile))

all:
	$(foreach dir, $(dirs), (cd $(dir) && make);)

clean:
	$(foreach dir, $(dirs), (cd $(dir) && make clean);)

=== elp/src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# elp/src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = $(libElp_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/alliance
pkglibdir = $(libdir)/alliance
pkgincludedir = $(includedir)/alliance
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
subdir = elp/src
DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in elp_l.c elp_y.c
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/./alliance.m4 \
	$(top_srcdir)/./motif.m4 $(top_srcdir)/./xpm.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libElp_la_LIBADD =
am_libElp_la_OBJECTS = elp_y.lo elp_l.lo elp.lo elperror.lo
libElp_la_OBJECTS = $(am_libElp_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/elp.Plo ./$(DEPDIR)/elp_l.Plo \
	./$(DEPDIR)/elp_y.Plo ./$(DEPDIR)/elperror.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
LTLEXCOMPILE = $(LIBTOOL) --mode=compile $(LEX) $(LFLAGS) $(AM_LFLAGS)
YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
LTYACCCOMPILE = $(LIBTOOL) --mode=compile $(YACC) $(YFLAGS) \
	$(AM_YFLAGS)
SOURCES = $(libElp_la_SOURCES)
DIST_SOURCES = $(libElp_la_SOURCES)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ABE_DLL_VERSION = 2:1:0
ABL_DLL_VERSION = 1:3:0
ABT_DLL_VERSION = 2:1:0
ABV_DLL_VERSION = 2:1:0
ACLOCAL = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run aclocal-1.8
ALCBANNER_MAJOR_VERSION = 1
ALCBANNER_MINOR_VERSION = 1
ALCBANNER_VERSION = 1.1
ALLIANCE_BUILD_FALSE = #
ALLIANCE_BUILD_TRUE = 
ALLIANCE_CFLAGS = -I/users/outil/alliance/Linux.FC2/include
ALLIANCE_LIBS = -L/users/outil/alliance/Linux.FC2/lib
ALLIANCE_TOP = /users/outil/alliance/Linux.FC2
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run tar
AR = ar
ATTILA_MAJOR_VERSION = 0
ATTILA_MINOR_VERSION = 1
ATTILA_VERSION = 0.1
AUTOCONF = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run autoconf
AUTOHEADER = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run autoheader
AUTOMAKE = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run automake-1.8
AUT_DLL_VERSION = 1:3:0
AWK = gawk
B2F_MAJOR_VERSION = 1
B2F_MINOR_VERSION = 2
B2F_VERSION = 1.2
BDD_DLL_VERSION = 1:5:0
BEH_DLL_VERSION = 1:11:0
BHL_DLL_VERSION = 1:11:0
BOOG_MAJOR_VERSION = 1
BOOG_MINOR_VERSION = 7
BOOG_VERSION = 1.7
BOOM_MAJOR_VERSION = 1
BOOM_MINOR_VERSION = 2
BOOM_VERSION = 1.2
BTR_DLL_VERSION = 1:3:0
BVL_DLL_VERSION = 1:14:0
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -I/users/outil/alliance/Linux.FC2/include -g -O2
CPP = gcc -E
CPPFLAGS = 
CST_DLL_VERSION = 3:2:0
CTL_DLL_VERSION = 1:1:0
CTP_DLL_VERSION = 1:1:0
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alliance\" -DVERSION=\"5.0\" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FCNTL_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRINGS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBIBERTY=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_UNISTD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DRETSIGTYPE=void -DHAVE_MOTIF=1 -DHAVE_XPM=1 -DHAVE_XPM=1 -DHAVE_X11_XPM_H=1 -DHAVE_XP=1 -DHAVE_MOTIF=1 -DHAVE_XMUSEVERSION=1 -DHAVE_XMINSTALLIMAGE=1 -DALLIANCE_VERSION=\"5.0\" -DALLIANCE_TOP=\"/users/outil/alliance/Linux.FC2\" -DHAVE_LIBIBERTY=1 
DEPDIR = .deps
DOC_MAJOR_VERSION = 1
DOC_MINOR_VERSION = 0
DOC_VERSION = 1.0
DREAL_MAJOR_VERSION = 1
DREAL_MINOR_VERSION = 14
DREAL_VERSION = 1.14
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ELP_DLL_VERSION = 1:5:0
EMULBS_MAJOR_VERSION = 3
EMULBS_MINOR_VERSION = 2
EMULBS_VERSION = 3.2
EXEEXT = 
EXP_MAJOR_VERSION = 1
EXP_MINOR_VERSION = 0
EXP_VERSION = 1.0
F77 = g77
FFLAGS = -g -O2
FKS_DLL_VERSION = 1:4:0
FLATBEH_MAJOR_VERSION = 1
FLATBEH_MINOR_VERSION = 1
FLATBEH_VERSION = 1.1
FMI_MAJOR_VERSION = 1
FMI_MINOR_VERSION = 1
FMI_VERSION = 1.1
FSM_DLL_VERSION = 1:4:0
FSP_MAJOR_VERSION = 1
FSP_MINOR_VERSION = 1
FSP_VERSION = 1.1
FTL_DLL_VERSION = 1:4:0
FVH_DLL_VERSION = 1:4:0
GRAAL_MAJOR_VERSION = 1
GRAAL_MINOR_VERSION = 27
GRAAL_VERSION = 1.27
GROWSTK_MAJOR_VERSION = 1
GROWSTK_MINOR_VERSION = 5
GROWSTK_VERSION = 1.5
INCLUDE_MOTIF = 
INSTALL_DATA = ${INSTALL} -m 664
INSTALL_PROGRAM = ${INSTALL} -m 775
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
K2F_MAJOR_VERSION = 1
K2F_MINOR_VERSION = 1
K2F_VERSION = 1.1
L2P_MAJOR_VERSION = 1
L2P_MINOR_VERSION = 12
L2P_VERSION = 1.12
LDFLAGS = -static -L/users/outil/alliance/Linux.FC2/lib 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -liberty -lm -lm -lm -lm -liberty 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINK_MOTIF = -lXm
LINK_XPM = -lXpm
LN_S = ln -s
LOG_DLL_VERSION = 2:1:0
LOON_MAJOR_VERSION = 1
LOON_MINOR_VERSION = 7
LOON_VERSION = 1.7
LTLIBOBJS = 
LVX_MAJOR_VERSION = 1
LVX_MINOR_VERSION = 2
LVX_VERSION = 1.2
LYNX_MAJOR_VERSION = 1
LYNX_MINOR_VERSION = 21
LYNX_VERSION = 1.21
M2E_MAJOR_VERSION = 1
M2E_MINOR_VERSION = 0
M2E_VERSION = 1.0
MAKEINFO = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run makeinfo
MAL_DLL_VERSION = 6:0:0
MAP_DLL_VERSION = 6:0:0
MBK_CUR = 4
MBK_DLL_VERSION = 4:2:0
MBK_REL = 0
MBK_REV = 2
MBK_VERSION = 4.2
MCL_DLL_VERSION = 4:9:0
MCP_DLL_VERSION = 4:9:0
MEL_DLL_VERSION = 4:9:0
MGL_DLL_VERSION = 0:8:0
MGN_DLL_VERSION = 3:3:0
MHL_DLL_VERSION = 2:1:0
MIPS_ASM_MAJOR_VERSION = 1
MIPS_ASM_MINOR_VERSION = 0
MIPS_ASM_VERSION = 1.0
MMG_DLL_VERSION = 1:0:0
MOCHA_MAJOR_VERSION = 1
MOCHA_MINOR_VERSION = 1
MOCHA_VERSION = 1.1
MSL_DLL_VERSION = 7:0:0
MVG_DLL_VERSION = 4:1:0
MVL_DLL_VERSION = 4:1:0
NERO_MAJOR_VERSION = 1
NERO_MINOR_VERSION = 0
NERO_VERSION = 1.0
OBJEXT = o
OCP_MAJOR_VERSION = 1
OCP_MINOR_VERSION = 0
OCP_VERSION = 1.0
OCR_MAJOR_VERSION = 1
OCR_MINOR_VERSION = 0
OCR_VERSION = 1.0
PACKAGE = alliance
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PAT2SPI_MAJOR_VERSION = 1
PAT2SPI_MINOR_VERSION = 1
PAT2SPI_VERSION = 1.1
PATH_SEPARATOR = :
PAT_DLL_VERSION = 1:9:0
PCBS_MAJOR_VERSION = 2
PCBS_MINOR_VERSION = 1
PCBS_VERSION = 2.1
PGN_DLL_VERSION = 3:3:0
PHL_DLL_VERSION = 1:9:0
PPT_DLL_VERSION = 1:9:0
PROOF_MAJOR_VERSION = 4
PROOF_MINOR_VERSION = 9
PROOF_VERSION = 4.9
RANLIB = ranlib
RCF_DLL_VERSION = 2:1:0
RDS_DLL_VERSION = 2:1:0
RFM_DLL_VERSION = 2:1:0
RGS_DLL_VERSION = 2:1:0
RING_MAJOR_VERSION = 3
RING_MINOR_VERSION = 0
RING_VERSION = 3.0
RPR_DLL_VERSION = 2:1:0
RTD_DLL_VERSION = 1:1:0
RTL_DLL_VERSION = 2:1:0
RTN_DLL_VERSION = 1:1:0
RUT_DLL_VERSION = 2:1:0
RWI_DLL_VERSION = 2:1:0
S2R_MAJOR_VERSION = 4
S2R_MINOR_VERSION = 4
S2R_VERSION = 4.4
SCAPIN_MAJOR_VERSION = 1
SCAPIN_MINOR_VERSION = 1
SCAPIN_VERSION = 1.1
SCH_DLL_VERSION = 3:2:0
SCL_DLL_VERSION = 1:5:0
SEA_MAJOR_VERSION = 1
SEA_MINOR_VERSION = 0
SEA_VERSION = 1.0
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SYF_MAJOR_VERSION = 3
SYF_MINOR_VERSION = 6
SYF_VERSION = 3.6
TOOLSDIRS = mbk mbkal mbkap mbkedif mbkhilo mbkmg mbkspice mbkvhdl mbkvrlog mbkvti mbkvhdlg aut rds rdscif rdsgds elp abl bdd log btr vex ctl ctp abe abt abv fsm fks fvh ftl rtn rtd scl vbh vbl vpn vpd vvh vtl pat ppt phl gcp druc beh bhl bvl  alcban asimut attila b2f boog boom cells distrib dreal exp flatbeh flatlo flatph fmi fsp genlib genpat graal k2f l2p loon lvx lynx m2e mips_asm mocha nero ocp  pat2spi proof ring s2r scapin sea syf vasy vst2xnf x2y xfsm xpat xsch xvpn documentation
VASY_MAJOR_VERSION = 1
VASY_MINOR_VERSION = 5
VASY_VERSION = 1.5
VBH_DLL_VERSION = 1:4:0
VBL_DLL_VERSION = 1:4:0
VERSION = 5.0
VEX_DLL_VERSION = 1:3:0
VPD_DLL_VERSION = 1:5:0
VPN_DLL_VERSION = 1:5:0
VRD_DLL_VERSION = 3:4:0
VST2XNF_MAJOR_VERSION = 1
VST2XNF_MINOR_VERSION = 0
VST2XNF_VERSION = 1.0
VTL_DLL_VERSION = 1:5:0
VVH_DLL_VERSION = 1:5:0
X11_LIBS = -lX11
XEXT_LIBS = -lXext
XFSM_MAJOR_VERSION = 1
XFSM_MINOR_VERSION = 4
XFSM_VERSION = 1.4
XM_LIBS = -lXm
XPAT_MAJOR_VERSION = 1
XPAT_MINOR_VERSION = 4
XPAT_VERSION = 1.4
XPM_LIBS = -lXpm
XP_LIBS = -lXp
XSCH_MAJOR_VERSION = 1
XSCH_MINOR_VERSION = 4
XSCH_VERSION = 1.4
XT_LIBS = -lXt
XVPN_MAJOR_VERSION = 1
XVPN_MINOR_VERSION = 5
XVPN_VERSION = 1.5
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /dsk/l1/misc/hcl/alliance/src/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /dsk/l1/misc/hcl/altest
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AM_CFLAGS = -DTECHNOLOGY=\"etc/prol.elp\" -I$(top_srcdir)/mbk/src
lib_LTLIBRARIES = libElp.la
include_HEADERS = elp.h
libElp_la_SOURCES = elp_y.y elp_l.l \
elp.c  elperror.c  elp.h

libElp_la_LDFLAGS = -version-info 1:5:0
CLEANFILES = elp_y.c elp_y.h elp_l.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .l .lo .o .obj .y
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  elp/src/Makefile'; \
	cd $(top_srcdir) && \

=== genpat/src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# genpat/src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





SOURCES = $(libPgn_la_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/alliance
pkglibdir = $(libdir)/alliance
pkgincludedir = $(includedir)/alliance
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
subdir = genpat/src
DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/./alliance.m4 \
	$(top_srcdir)/./motif.m4 $(top_srcdir)/./xpm.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libPgn_la_LIBADD =
am_libPgn_la_OBJECTS = AFFECT.lo ARRAY.lo CONV.lo DECLAR.lo DEF_GEN.lo \
	GETCPAT.lo INIT.lo LABEL.lo SAVE.lo SAV_GEN.lo SETTUNIT.lo \
	libpat_l.lo
libPgn_la_OBJECTS = $(am_libPgn_la_OBJECTS)
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/AFFECT.Plo ./$(DEPDIR)/ARRAY.Plo \
	./$(DEPDIR)/CONV.Plo ./$(DEPDIR)/DECLAR.Plo \
	./$(DEPDIR)/DEF_GEN.Plo ./$(DEPDIR)/GETCPAT.Plo \
	./$(DEPDIR)/INIT.Plo ./$(DEPDIR)/LABEL.Plo \
	./$(DEPDIR)/SAVE.Plo ./$(DEPDIR)/SAV_GEN.Plo \
	./$(DEPDIR)/SETTUNIT.Plo ./$(DEPDIR)/libpat_l.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libPgn_la_SOURCES)
DIST_SOURCES = $(libPgn_la_SOURCES)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ABE_DLL_VERSION = 2:1:0
ABL_DLL_VERSION = 1:3:0
ABT_DLL_VERSION = 2:1:0
ABV_DLL_VERSION = 2:1:0
ACLOCAL = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run aclocal-1.8
ALCBANNER_MAJOR_VERSION = 1
ALCBANNER_MINOR_VERSION = 1
ALCBANNER_VERSION = 1.1
ALLIANCE_BUILD_FALSE = #
ALLIANCE_BUILD_TRUE = 
ALLIANCE_CFLAGS = -I/users/outil/alliance/Linux.FC2/include
ALLIANCE_LIBS = -L/users/outil/alliance/Linux.FC2/lib
ALLIANCE_TOP = /users/outil/alliance/Linux.FC2
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run tar
AR = ar
ATTILA_MAJOR_VERSION = 0
ATTILA_MINOR_VERSION = 1
ATTILA_VERSION = 0.1
AUTOCONF = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run autoconf
AUTOHEADER = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run autoheader
AUTOMAKE = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run automake-1.8
AUT_DLL_VERSION = 1:3:0
AWK = gawk
B2F_MAJOR_VERSION = 1
B2F_MINOR_VERSION = 2
B2F_VERSION = 1.2
BDD_DLL_VERSION = 1:5:0
BEH_DLL_VERSION = 1:11:0
BHL_DLL_VERSION = 1:11:0
BOOG_MAJOR_VERSION = 1
BOOG_MINOR_VERSION = 7
BOOG_VERSION = 1.7
BOOM_MAJOR_VERSION = 1
BOOM_MINOR_VERSION = 2
BOOM_VERSION = 1.2
BTR_DLL_VERSION = 1:3:0
BVL_DLL_VERSION = 1:14:0
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -I/users/outil/alliance/Linux.FC2/include -g -O2
CPP = gcc -E
CPPFLAGS = 
CST_DLL_VERSION = 3:2:0
CTL_DLL_VERSION = 1:1:0
CTP_DLL_VERSION = 1:1:0
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alliance\" -DVERSION=\"5.0\" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FCNTL_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRINGS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBIBERTY=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_LIBM=1 -DHAVE_UNISTD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DRETSIGTYPE=void -DHAVE_MOTIF=1 -DHAVE_XPM=1 -DHAVE_XPM=1 -DHAVE_X11_XPM_H=1 -DHAVE_XP=1 -DHAVE_MOTIF=1 -DHAVE_XMUSEVERSION=1 -DHAVE_XMINSTALLIMAGE=1 -DALLIANCE_VERSION=\"5.0\" -DALLIANCE_TOP=\"/users/outil/alliance/Linux.FC2\" -DHAVE_LIBIBERTY=1 
DEPDIR = .deps
DOC_MAJOR_VERSION = 1
DOC_MINOR_VERSION = 0
DOC_VERSION = 1.0
DREAL_MAJOR_VERSION = 1
DREAL_MINOR_VERSION = 14
DREAL_VERSION = 1.14
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ELP_DLL_VERSION = 1:5:0
EMULBS_MAJOR_VERSION = 3
EMULBS_MINOR_VERSION = 2
EMULBS_VERSION = 3.2
EXEEXT = 
EXP_MAJOR_VERSION = 1
EXP_MINOR_VERSION = 0
EXP_VERSION = 1.0
F77 = g77
FFLAGS = -g -O2
FKS_DLL_VERSION = 1:4:0
FLATBEH_MAJOR_VERSION = 1
FLATBEH_MINOR_VERSION = 1
FLATBEH_VERSION = 1.1
FMI_MAJOR_VERSION = 1
FMI_MINOR_VERSION = 1
FMI_VERSION = 1.1
FSM_DLL_VERSION = 1:4:0
FSP_MAJOR_VERSION = 1
FSP_MINOR_VERSION = 1
FSP_VERSION = 1.1
FTL_DLL_VERSION = 1:4:0
FVH_DLL_VERSION = 1:4:0
GRAAL_MAJOR_VERSION = 1
GRAAL_MINOR_VERSION = 27
GRAAL_VERSION = 1.27
GROWSTK_MAJOR_VERSION = 1
GROWSTK_MINOR_VERSION = 5
GROWSTK_VERSION = 1.5
INCLUDE_MOTIF = 
INSTALL_DATA = ${INSTALL} -m 664
INSTALL_PROGRAM = ${INSTALL} -m 775
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
K2F_MAJOR_VERSION = 1
K2F_MINOR_VERSION = 1
K2F_VERSION = 1.1
L2P_MAJOR_VERSION = 1
L2P_MINOR_VERSION = 12
L2P_VERSION = 1.12
LDFLAGS = -static -L/users/outil/alliance/Linux.FC2/lib 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -liberty -lm -lm -lm -lm -liberty 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINK_MOTIF = -lXm
LINK_XPM = -lXpm
LN_S = ln -s
LOG_DLL_VERSION = 2:1:0
LOON_MAJOR_VERSION = 1
LOON_MINOR_VERSION = 7
LOON_VERSION = 1.7
LTLIBOBJS = 
LVX_MAJOR_VERSION = 1
LVX_MINOR_VERSION = 2
LVX_VERSION = 1.2
LYNX_MAJOR_VERSION = 1
LYNX_MINOR_VERSION = 21
LYNX_VERSION = 1.21
M2E_MAJOR_VERSION = 1
M2E_MINOR_VERSION = 0
M2E_VERSION = 1.0
MAKEINFO = ${SHELL} /dsk/l1/misc/hcl/alliance/src/missing --run makeinfo
MAL_DLL_VERSION = 6:0:0
MAP_DLL_VERSION = 6:0:0
MBK_CUR = 4
MBK_DLL_VERSION = 4:2:0
MBK_REL = 0
MBK_REV = 2
MBK_VERSION = 4.2
MCL_DLL_VERSION = 4:9:0
MCP_DLL_VERSION = 4:9:0
MEL_DLL_VERSION = 4:9:0
MGL_DLL_VERSION = 0:8:0
MGN_DLL_VERSION = 3:3:0
MHL_DLL_VERSION = 2:1:0
MIPS_ASM_MAJOR_VERSION = 1
MIPS_ASM_MINOR_VERSION = 0
MIPS_ASM_VERSION = 1.0
MMG_DLL_VERSION = 1:0:0
MOCHA_MAJOR_VERSION = 1
MOCHA_MINOR_VERSION = 1
MOCHA_VERSION = 1.1
MSL_DLL_VERSION = 7:0:0
MVG_DLL_VERSION = 4:1:0
MVL_DLL_VERSION = 4:1:0
NERO_MAJOR_VERSION = 1
NERO_MINOR_VERSION = 0
NERO_VERSION = 1.0
OBJEXT = o
OCP_MAJOR_VERSION = 1
OCP_MINOR_VERSION = 0
OCP_VERSION = 1.0
OCR_MAJOR_VERSION = 1
OCR_MINOR_VERSION = 0
OCR_VERSION = 1.0
PACKAGE = alliance
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PAT2SPI_MAJOR_VERSION = 1
PAT2SPI_MINOR_VERSION = 1
PAT2SPI_VERSION = 1.1
PATH_SEPARATOR = :
PAT_DLL_VERSION = 1:9:0
PCBS_MAJOR_VERSION = 2
PCBS_MINOR_VERSION = 1
PCBS_VERSION = 2.1
PGN_DLL_VERSION = 3:3:0
PHL_DLL_VERSION = 1:9:0
PPT_DLL_VERSION = 1:9:0
PROOF_MAJOR_VERSION = 4
PROOF_MINOR_VERSION = 9
PROOF_VERSION = 4.9
RANLIB = ranlib
RCF_DLL_VERSION = 2:1:0
RDS_DLL_VERSION = 2:1:0
RFM_DLL_VERSION = 2:1:0
RGS_DLL_VERSION = 2:1:0
RING_MAJOR_VERSION = 3
RING_MINOR_VERSION = 0
RING_VERSION = 3.0
RPR_DLL_VERSION = 2:1:0
RTD_DLL_VERSION = 1:1:0
RTL_DLL_VERSION = 2:1:0
RTN_DLL_VERSION = 1:1:0
RUT_DLL_VERSION = 2:1:0
RWI_DLL_VERSION = 2:1:0
S2R_MAJOR_VERSION = 4
S2R_MINOR_VERSION = 4
S2R_VERSION = 4.4
SCAPIN_MAJOR_VERSION = 1
SCAPIN_MINOR_VERSION = 1
SCAPIN_VERSION = 1.1
SCH_DLL_VERSION = 3:2:0
SCL_DLL_VERSION = 1:5:0
SEA_MAJOR_VERSION = 1
SEA_MINOR_VERSION = 0
SEA_VERSION = 1.0
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SYF_MAJOR_VERSION = 3
SYF_MINOR_VERSION = 6
SYF_VERSION = 3.6
TOOLSDIRS = mbk mbkal mbkap mbkedif mbkhilo mbkmg mbkspice mbkvhdl mbkvrlog mbkvti mbkvhdlg aut rds rdscif rdsgds elp abl bdd log btr vex ctl ctp abe abt abv fsm fks fvh ftl rtn rtd scl vbh vbl vpn vpd vvh vtl pat ppt phl gcp druc beh bhl bvl  alcban asimut attila b2f boog boom cells distrib dreal exp flatbeh flatlo flatph fmi fsp genlib genpat graal k2f l2p loon lvx lynx m2e mips_asm mocha nero ocp  pat2spi proof ring s2r scapin sea syf vasy vst2xnf x2y xfsm xpat xsch xvpn documentation
VASY_MAJOR_VERSION = 1
VASY_MINOR_VERSION = 5
VASY_VERSION = 1.5
VBH_DLL_VERSION = 1:4:0
VBL_DLL_VERSION = 1:4:0
VERSION = 5.0
VEX_DLL_VERSION = 1:3:0
VPD_DLL_VERSION = 1:5:0
VPN_DLL_VERSION = 1:5:0
VRD_DLL_VERSION = 3:4:0
VST2XNF_MAJOR_VERSION = 1
VST2XNF_MINOR_VERSION = 0
VST2XNF_VERSION = 1.0
VTL_DLL_VERSION = 1:5:0
VVH_DLL_VERSION = 1:5:0
X11_LIBS = -lX11
XEXT_LIBS = -lXext
XFSM_MAJOR_VERSION = 1
XFSM_MINOR_VERSION = 4
XFSM_VERSION = 1.4
XM_LIBS = -lXm
XPAT_MAJOR_VERSION = 1
XPAT_MINOR_VERSION = 4
XPAT_VERSION = 1.4
XPM_LIBS = -lXpm
XP_LIBS = -lXp
XSCH_MAJOR_VERSION = 1
XSCH_MINOR_VERSION = 4
XSCH_VERSION = 1.4
XT_LIBS = -lXt
XVPN_MAJOR_VERSION = 1
XVPN_MINOR_VERSION = 5
XVPN_VERSION = 1.5
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /dsk/l1/misc/hcl/alliance/src/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /dsk/l1/misc/hcl/altest
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AM_CFLAGS = -I$(top_srcdir)/mbk/src \
-I$(top_srcdir)/pat/src \
-I$(top_srcdir)/ppt/src \
-I$(top_srcdir)/phl/src

lib_LTLIBRARIES = libPgn.la
include_HEADERS = genpat.h 
libPgn_la_SOURCES = AFFECT.c ARRAY.c CONV.c DECLAR.c DEF_GEN.c GETCPAT.c \
		INIT.c LABEL.c  SAVE.c SAV_GEN.c SETTUNIT.c \
		libpat_l.c libpat_l.h

libPgn_la_LDFLAGS = -version-info 3:3:0
bin_SCRIPTS = genpat
CLEANFILES = genpat
EXTRA_DIST = genpat.sh
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \

=== documentation/alliance-examples/addaccu16/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk
 
VASY   = $(ALLIANCE_BIN)/vasy
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
METAL_LEVEL     = 2

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environement                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_ASIMUT_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_VASY; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_NERO =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME



ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           MBK_SPI_ONE_NODE_NORC="true"; export MBK_SPI_ONE_NODE_NORC; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


all :  addaccu.cif

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

addaccu.vbe : addaccu.vhdl
	$(ENV_VASY); $(VASY) -a -B -o -p -I vhdl addaccu

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_vasy_1.pat : addaccu.vbe
	$(ENV_ASIMUT_VASY); $(ASIMUT) -b addaccu addaccu res_vasy_1 

res_synth_1.pat : addaccu.vst 
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) addaccu addaccu res_synth_1

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : addaccu_o.vbe
	@$(TOUCH) boom.done

addaccu_o.vbe : addaccu.vbe addaccu.boom res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP addaccu addaccu_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : addaccu_o.vst
	@$(TOUCH) boog.done

addaccu_o.vst : addaccu_o.vbe
	$(ENV_BOOG); $(BOOG) addaccu_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : addaccu.vst
	@$(TOUCH) loon.done

addaccu.vst : addaccu_o.vst
	$(ENV_LOON); $(LOON) addaccu_o addaccu

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

addaccu_p.ap : res_synth_1.pat
	$(ENV_OCP); $(OCP) -v -gnuplot -ioc addaccu  addaccu addaccu_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             NERO                            |
# |                                                             |
# \------------------------------------------------------------*/

addaccu.ap : addaccu_p.ap addaccu.vst
	$(ENV_NERO); $(NERO) -V -$(METAL_LEVEL) -p addaccu_p addaccu addaccu

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

addaccu_e.spi : addaccu.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac addaccu addaccu_e

addaccu_erc.spi : addaccu.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ar addaccu addaccu_erc

addaccu_erc.al : addaccu.ap
	$(ENV_COUGAR); $(COUGAR) -v -ar addaccu addaccu_erc

addaccu_e.al : addaccu.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac addaccu addaccu_e

addaccu_et.al : addaccu.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac -t addaccu addaccu_et

addaccu_et.spi : addaccu.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac -t addaccu addaccu_et

addaccu_er.al : addaccu.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t addaccu addaccu_er

addaccu_real.al : addaccu.ap
	$(ENV_COUGAR); $(ENV_S2R); $(COUGAR) -v -ac addaccu addaccu_real

addaccu_real_t.al : addaccu.ap
	$(ENV_COUGAR); $(ENV_S2R); $(COUGAR) -v -t -ac addaccu addaccu_real_t

# /*------------------------------------------------------------\
# |                                                             |
# |                             Lvx                             |
# |                                                             |
# \------------------------------------------------------------*/

lvx.done : addaccu.vst addaccu_e.al addaccu_e.spi
	$(ENV_LVX); $(LVX) vst al addaccu addaccu_e -f
	$(TOUCH) lvx.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             Druc                            |
# |                                                             |
# \------------------------------------------------------------*/

druc.done : lvx.done addaccu.ap
	$(ENV_DRUC); $(DRUC) addaccu
	$(TOUCH) druc.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             S2R                             |
# |                                                             |
# \------------------------------------------------------------*/

addaccu.cif : druc.done
	$(ENV_S2R); $(S2R) -v addaccu

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |

=== documentation/alliance-examples/adder4/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk

VASY   = $(ALLIANCE_BIN)/vasy
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
METAL_LEVEL     = 2

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environement                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_ASIMUT_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_VASY; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_NERO =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME



ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           MBK_SPI_ONE_NODE_NORC="true"; export MBK_SPI_ONE_NODE_NORC; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


all :  adder4.cif

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

adder4.vbe : adder4.vhdl
	$(ENV_VASY); $(VASY) -a -B -o -p -I vhdl adder4

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_vasy_1.pat : adder4.vbe
	$(ENV_ASIMUT_VASY); $(ASIMUT) -b adder4 adder4 res_vasy_1 

res_synth_1.pat : adder4.vst 
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) adder4 adder4 res_synth_1

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : adder4_o.vbe
	@$(TOUCH) boom.done

adder4_o.vbe : adder4.vbe adder4.boom res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP adder4 adder4_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : adder4_o.vst
	@$(TOUCH) boog.done

adder4_o.vst : adder4_o.vbe
	$(ENV_BOOG); $(BOOG) adder4_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : adder4.vst
	@$(TOUCH) loon.done

adder4.vst : adder4_o.vst
	$(ENV_LOON); $(LOON) adder4_o adder4

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

adder4_p.ap : res_synth_1.pat
	$(ENV_OCP); $(OCP) -v -gnuplot -ioc adder4  adder4 adder4_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             NERO                            |
# |                                                             |
# \------------------------------------------------------------*/

adder4.ap : adder4_p.ap adder4.vst
	$(ENV_NERO); $(NERO) -V -$(METAL_LEVEL) -p adder4_p adder4 adder4

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

adder4_e.spi : adder4.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac adder4 adder4_e

adder4_erc.spi : adder4.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ar adder4 adder4_erc

adder4_erc.al : adder4.ap
	$(ENV_COUGAR); $(COUGAR) -v -ar adder4 adder4_erc

adder4_e.al : adder4.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac adder4 adder4_e

adder4_et.al : adder4.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac -t adder4 adder4_et

adder4_et.spi : adder4.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac -t adder4 adder4_et

adder4_er.al : adder4.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t adder4 adder4_er

adder4_real.al : adder4.ap
	$(ENV_COUGAR); $(ENV_S2R); $(COUGAR) -v -ac adder4 adder4_real

adder4_real_t.al : adder4.ap
	$(ENV_COUGAR); $(ENV_S2R); $(COUGAR) -v -t -ac adder4 adder4_real_t

# /*------------------------------------------------------------\
# |                                                             |
# |                             Lvx                             |
# |                                                             |
# \------------------------------------------------------------*/

lvx.done : adder4.vst adder4_e.al adder4_e.spi
	$(ENV_LVX); $(LVX) vst al adder4 adder4_e -f
	$(TOUCH) lvx.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             Druc                            |
# |                                                             |
# \------------------------------------------------------------*/

druc.done : lvx.done adder4.ap
	$(ENV_DRUC); $(DRUC) adder4
	$(TOUCH) druc.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             S2R                             |
# |                                                             |
# \------------------------------------------------------------*/

adder4.cif : druc.done
	$(ENV_S2R); $(S2R) -v adder4

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |
# |                                                             |

=== documentation/alliance-examples/amd2901-vasy/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk

VASY   = $(ALLIANCE_BIN)/vasy
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
OCR    = $(ALLIANCE_BIN)/ocr
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
SPI_MODEL       = $(SYSCONF_TOP)/spimodel.cfg
METAL_LEVEL     = 4

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environement                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_ASIMUT_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_VASY; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_OCR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(TOP)/etc/spimodel.cfg; export MBK_SPI_MODEL; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


all :  amd2901.cif

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

amd2901.vbe : amd2901.vhdl
	$(ENV_VASY); $(VASY) -a -B -o -p -I vhdl amd2901

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_vasy_1.pat : amd2901.vbe
	$(ENV_ASIMUT_VASY); $(ASIMUT) -b amd2901 amd2901 res_vasy_1 

res_synth_1.pat : amd2901.vst 
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) amd2901 amd2901 res_synth_1

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : amd2901_o.vbe
	@$(TOUCH) boom.done

amd2901_o.vbe : amd2901.vbe amd2901.boom res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP amd2901 amd2901_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : amd2901.vst
	@$(TOUCH) boog.done

amd2901.vst : amd2901_o.vbe
	$(ENV_BOOG); $(BOOG) amd2901_o amd2901

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : amd2901.vst
	@$(TOUCH) loon.done

# amd2901.vst : amd2901_o.vst
#	$(ENV_LOON); $(LOON) amd2901_o amd2901

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

amd2901_p.ap : res_synth_1.pat
	$(ENV_OCP); $(OCP) -v -gnuplot -margin 0.4 -ioc amd2901  amd2901 amd2901_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCR                             |
# |                                                             |
# \------------------------------------------------------------*/

# amd2901.ap : amd2901_p.ap amd2901.vst
#	$(ENV_OCR); $(OCR) -v -l $(METAL_LEVEL) -L amd2901 -P amd2901_p -O amd2901

amd2901.ap : amd2901_p.ap amd2901.vst
	$(ENV_OCR); $(NERO) -V -$(METAL_LEVEL) -p amd2901_p amd2901 amd2901

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

amd2901_e.spi : amd2901.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac amd2901 amd2901_e

amd2901_e.al : amd2901.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac amd2901 amd2901_e

amd2901_et.al : amd2901.ap
	$(ENV_COUGAR); $(COUGAR) -v -t -ac amd2901 amd2901_et

amd2901_et.spi : amd2901.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -t -ac amd2901 amd2901_et

amd2901_er.spi : amd2901.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t amd2901 amd2901_er

# /*------------------------------------------------------------\
# |                                                             |
# |                             Lvx                             |
# |                                                             |
# \------------------------------------------------------------*/

lvx.done : amd2901.vst amd2901_e.spi  amd2901_e.al
	$(ENV_LVX); $(LVX) vst al amd2901 amd2901_e -f
	$(TOUCH) lvx.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             Druc                            |
# |                                                             |
# \------------------------------------------------------------*/

druc.done : lvx.done amd2901.ap
	$(ENV_DRUC); $(DRUC) amd2901
	$(TOUCH) druc.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             S2R                             |
# |                                                             |
# \------------------------------------------------------------*/

amd2901.cif : druc.done
	$(ENV_S2R); $(S2R) -v amd2901

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |
# |                                                             |
# \------------------------------------------------------------*/

graal: amd2901.ap

=== documentation/alliance-examples/amd2901/Makefile ===


#
# /------------------------------------------------------------------\
# |                        Macros definitions                        |
# \------------------------------------------------------------------/
#

include ../etc/alliance-env.mk

# --------------------------------------------------------------------
# Standarts binaries.

           LS =                  /bin/ls
           CD = PATH=$(STANDART_BIN); cd
           CP = PATH=$(STANDART_BIN); cp
           LN = PATH=$(STANDART_BIN); ln
           MV = PATH=$(STANDART_BIN); mv
           RM = PATH=$(STANDART_BIN); rm
          SED = PATH=$(STANDART_BIN); sed
          AWK = PATH=$(STANDART_BIN); gawk
          CAT = PATH=$(STANDART_BIN); cat
         MAKE = PATH=$(STANDART_BIN); make
        TOUCH = PATH=$(STANDART_BIN); touch
         GREP = PATH=$(STANDART_BIN); grep
         ECHO = /bin/echo
#  Alliance paths and formats settings.
 GENERAT_LO   = vst
 EXTRACT_LO   = al
 GENERAT_PH   = ap
 EXTRACT_PH   = ap
 GENERAT_SP   = .
 EXTRACT_SP   = .
    CATA_LIB0 = $(CELLS_TOP)/sxlib
    CATA_LIB1 = $(CELLS_TOP)/dp_sxlib
    CATA_LIB2 = $(CELLS_TOP)/padlib
     CATA_LIB = .:$(CATA_LIB0):$(CATA_LIB1):$(CATA_LIB2)
   TARGET_LIB = $(CELLS_TOP)/sxlib
 GRAAL_TECHNO = $(SYSCONF_TOP)/cmos.graal


 MBK_GENERAT_ENV = MBK_TARGET_LIB=$(TARGET_LIB);  export MBK_TARGET_LIB;    \
                   MBK_WORK_LIB=.;                export MBK_WORK_LIB;      \
                   MBK_CATA_LIB=$(CATA_LIB);	  export MBK_CATA_LIB;      \
                   MBK_CATAL_NAME=CATAL;          export MBK_CATAL_NAME;    \
                   MBK_OUT_LO=$(GENERAT_LO);      export MBK_OUT_LO;        \
                   MBK_OUT_PH=$(GENERAT_PH);      export MBK_OUT_PH;        \
                   MBK_IN_LO=$(GENERAT_LO);       export MBK_IN_LO;         \
                   MBK_IN_PH=$(GENERAT_PH);       export MBK_IN_PH;         \
                   MBK_SEPAR=$(GENERAT_SP);       export MBK_SEPAR;         \
                   MBK_VDD=vdd;                   export MBK_VDD;           \
                   MBK_VSS=vss;                   export MBK_VSS;	    \
		   RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
		   GRAAL_TECHNO_NAME=$(GRAAL_TECHNO); export GRAAL_TECHNO_NAME
		   
# MBK extracting environment.
 MBK_EXTRACT_ENV = MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
                   MBK_WORK_LIB=.;               export MBK_WORK_LIB;   \
                   MBK_CATA_LIB=$(CATA_LIB);     export MBK_CATA_LIB;   \
                   MBK_CATAL_NAME=CATAL;         export MBK_CATAL_NAME; \
                   MBK_OUT_LO=$(EXTRACT_LO);     export MBK_OUT_LO;     \
                   MBK_OUT_PH=$(EXTRACT_PH);     export MBK_OUT_PH;     \
                   MBK_IN_LO=$(EXTRACT_LO);      export MBK_IN_LO;      \
                   MBK_IN_PH=$(EXTRACT_PH);      export MBK_IN_PH;      \
                   MBK_SEPAR=$(EXTRACT_SP);      export MBK_SEPAR;      \
                   MBK_VDD=vdd;                  export MBK_VDD;        \
                   MBK_VSS=vss;                  export MBK_VSS;	\
		   RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME;\
                   GRAAL_TECHNO_NAME=$(GRAAL_TECHNO); export GRAAL_TECHNO_NAME

MBK_EXTRACT_ENV_SPI = MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
                   MBK_WORK_LIB=.;               export MBK_WORK_LIB;   \
                   MBK_CATA_LIB=$(CATA_LIB);     export MBK_CATA_LIB;   \
                   MBK_CATAL_NAME=CATAL;         export MBK_CATAL_NAME; \
                   MBK_OUT_LO=spi;     export MBK_OUT_LO;     \
                   MBK_OUT_PH=$(EXTRACT_PH);     export MBK_OUT_PH;     \
                   MBK_IN_LO=spi;      export MBK_IN_LO;      \
                   MBK_IN_PH=$(EXTRACT_PH);      export MBK_IN_PH;      \
                   MBK_SEPAR=$(EXTRACT_SP);      export MBK_SEPAR;      \
                   MBK_VDD=vdd;                  export MBK_VDD;        \
                   MBK_VSS=vss;                  export MBK_VSS;	\
		   RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME;\
                   GRAAL_TECHNO_NAME=$(GRAAL_TECHNO); export GRAAL_TECHNO_NAME
		   
# --------------------------------------------------------------------
# Alliance binaries & environment.

     BOOM = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/boom -V
     BOOG = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/boog 
     LOON = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/loon
   ASIMUT1 = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/asimut
   ASIMUT2 = $(MBK_EXTRACT_ENV); $(ALLIANCE_BIN)/asimut
   COUGAR = $(ALLIANCE_BIN)/cougar
     DRUC = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/druc
      LVX = $(MBK_EXTRACT_ENV); $(ALLIANCE_BIN)/lvx
    PROOF = $(MBK_EXTRACT_ENV); $(ALLIANCE_BIN)/proof
   GENLIB = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/genlib
   GENPAT = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/genpat
      OCP = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/ocp 
     NERO = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/nero 
     OCR  = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/ocr 
     RING = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/ring
    GRAAL = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/graal
    DREAL = $(MBK_EXTRACT_ENV); $(ALLIANCE_BIN)/dreal
    XSCH  = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/xsch
    XPAT  = $(MBK_GENERAT_ENV); $(ALLIANCE_BIN)/xpat


# /------------------------------------------------------------------\
# |                              Rules                               |
# \------------------------------------------------------------------/
#

all: nb_transistors 

ctl_part: amd2901_ctl.vst

view_ctl_logic: amd2901_ctl.vst
	$(XSCH) -l amd2901_ctl 

dpt_part: amd2901_dpt.ap amd2901_dpt.vst

view_dpt_physic: amd2901_dpt.ap
	$(GRAAL) -l amd2901_dpt

chip_part: amd2901_chip.ap

view_chip_physic: amd2901_chip.ap
	$(GRAAL) -l amd2901_chip

chip_verification: druc_chip lvx_chip test_chip_final.pat

view_chip_simulation: test_chip_final.pat
	$(XPAT) -l test_chip_final

amd2901_core.vst amd2901_core_place.ap: amd2901_core.c amd2901_ctl.vst amd2901_ctl.vbe amd2901_dpt.vst amd2901_dpt.ap 
	$(GENLIB) -v amd2901_core

amd2901_chip.vst: amd2901_core.vst 
	$(GENLIB) -v amd2901_chip

test_chip.pat: amd2901_chip.vst pattern.pat
	$(ASIMUT1) -zd amd2901_chip pattern test_chip

test_core.pat: amd2901_core.vst amd2901_core.pat
	$(ASIMUT1) -zd amd2901_core amd2901_core test_core

# LUDO
# pattern.pat: pattern.c
#	$(GENPAT) -v pattern

amd2901_dpt.ap amd2901_dpt.vst: amd2901_dpt.c
	$(GENLIB) -v amd2901_dpt	

amd2901_ctl_boom.vbe : amd2901_ctl.vbe
	$(BOOM) amd2901_ctl amd2901_ctl_boom

amd2901_ctl_boog.vst : amd2901_ctl_boom.vbe amd2901_ctl.lax
	$(BOOG) amd2901_ctl_boom amd2901_ctl_boog amd2901_ctl

amd2901_ctl.vst : amd2901_ctl_boog.vst
	$(LOON) amd2901_ctl_boog amd2901_ctl

amd2901_core_p.ap: amd2901_core.vst amd2901_core_place.ap amd2901_core.ioc
	$(OCP) -v -gnuplot -partial amd2901_core_place -ioc amd2901_core amd2901_core amd2901_core_p
#	$(OCP) -v -gnuplot -partial amd2901_core_place -ring amd2901_core amd2901_core_p

druc_ocp: amd2901_core_p.ap
	$(DRUC) amd2901_core_p
	$(TOUCH) druc_ocp

amd2901_core.ap: druc_ocp
	$(NERO) -V -2 -p amd2901_core_p amd2901_core amd2901_core

# amd2901_core.ap: druc_ocp
#	$(OCR) -v -l 2 -L amd2901_core -P amd2901_core_p -O amd2901_core

amd2901_core.al: amd2901_core.ap
	$(MBK_EXTRACT_ENV); $(COUGAR) -v -f amd2901_core amd2901_core

amd2901_core.spi: amd2901_core.ap
	$(MBK_EXTRACT_ENV_SPI); $(COUGAR) -v -ac -t amd2901_core amd2901_core

lvx_core: amd2901_core.al amd2901_core.vst
	$(LVX) al vst amd2901_core amd2901_core -f
	$(TOUCH) lvx_core

druc_core: amd2901_core.ap
	$(DRUC) amd2901_core
	$(TOUCH) druc_core

amd2901_chip.ap: test_chip.pat amd2901_core.ap amd2901_chip.rin druc_core lvx_core
	$(MBK_GENERAT_ENV); $(RING) amd2901_chip amd2901_chip

amd2901_chip.al: amd2901_chip.ap
	$(MBK_EXTRACT_ENV); $(COUGAR) -v -f amd2901_chip amd2901_chip

lvx_chip: amd2901_chip.al amd2901_chip.vst
	$(LVX) al vst amd2901_chip amd2901_chip -f
	$(TOUCH) lvx_chip

druc_chip: amd2901_chip.ap
	$(DRUC) amd2901_chip
	$(TOUCH) druc_chip

test_chip_final.pat: pattern.pat druc_chip lvx_chip
	$(ASIMUT2) -zd amd2901_chip pattern test_chip_final

nb_transistors: amd2901_chip_tr.al amd2901_core_tr.al 
	@echo "Number of transistors for the core: ";\
	$(GREP) -c "^T" amd2901_core_tr.al
	@echo "Number of transistors for the chip: ";\
	$(GREP) -c "^T" amd2901_chip_tr.al

amd2901_chip_tr.al: test_chip_final.pat
	$(MBK_EXTRACT_ENV); $(COUGAR) -v -t amd2901_chip amd2901_chip_tr

amd2901_core_tr.al: lvx_core druc_core
	$(MBK_EXTRACT_ENV); $(COUGAR) -v -t amd2901_core amd2901_core_tr

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |
# |                                                             |
# \------------------------------------------------------------*/

graal: amd2901_chip.ap
	$(GRAAL) -l amd2901_chip

xsch: amd2901_ctl.vst
	$(XSCH) -l amd2901_ctl

xpat: test_chip_final.pat
	$(XPAT) -l test_chip_final

dreal: amd2901_chip.cif
	$(DREAL) -l amd2901_chip

# /*------------------------------------------------------------\
# |                                                             |
# |                             CLEAN                           |
# |                                                             |
# \------------------------------------------------------------*/

clean :
	rm -f Makefile-*                 \
	      amd2901_core.vst 		\
	      amd2901_chip.vst 		\
	      amd2901_ctl.vst	 	\
	      amd2901_dpt.vst	 	\
	      amd2901_ctl_boog.vst \
	      amd2901_ctl_boom.vbe \
	      *.ap \
          	res.pat  \
		*.frr                      \
	      *.log                \
	      *.drc                      \
	      *.gds                      \
	      *.def			\
	      *.gpl		\
	      *.xsc		\
	      *.al	\
	      test_*.pat	\
	      *~	\
	      *cif \
	      lvx_core druc_core \
	      lvx_chip druc_chip \
	      druc_ocp alldata.dat \
	      model_*

=== documentation/alliance-examples/digi/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk

SYF    = $(ALLIANCE_BIN)/syf
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
OCR    = $(ALLIANCE_BIN)/ocr
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
METAL_LEVEL     = 2
SPI_MODEL       = $(SYSCONF_TOP)/spimodel.cfg

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environment                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_SYF = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_ASIMUT_SYF = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_SYF; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_OCR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

all :  digi.cif

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

digi.vbe : digi.fsm
	$(ENV_SYF); $(SYF) -Va digi digi

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_syf_1.pat : digi.vbe
	$(ENV_ASIMUT_SYF); $(ASIMUT) -b digi digi res_syf_1 

res_synth_1.pat : digi.vst 
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) -i 0 digi digi res_synth_1

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : digi_o.vbe
	@$(TOUCH) boom.done

digi_o.vbe : digi.vbe res_syf_1.pat
	$(ENV_BOOM); $(BOOM) -V digi digi_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : digi_o.vst
	@$(TOUCH) boog.done

digi_o.vst : digi_o.vbe
	$(ENV_BOOG); $(BOOG) digi_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : digi.vst
	@$(TOUCH) loon.done

digi.vst : digi_o.vst
	$(ENV_LOON); $(LOON) digi_o digi

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

digi_p.ap : res_synth_1.pat digi.ioc
	$(ENV_OCP); $(OCP) -v -gnuplot -ioc digi  digi digi_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCR                             |
# |                                                             |
# \------------------------------------------------------------*/

# digi.ap : digi_p.ap digi.vst
#	$(ENV_OCR); $(OCR) -vv -l $(METAL_LEVEL) -L digi -P digi_p -O digi

# /*------------------------------------------------------------\
# |                                                             |
# |                             NERO                            |
# |                                                             |
# \------------------------------------------------------------*/

digi.ap : digi_p.ap digi.vst
	$(ENV_OCR); $(NERO) -V -$(METAL_LEVEL) -p digi_p digi digi

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

digi_e.spi : digi.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac digi digi_e

digi_e.al : digi.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac digi digi_e

digi_et.al : digi.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac -t digi digi_et

digi_et.spi : digi.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac -t digi digi_et

digi_er.al : digi.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t digi digi_er

# /*------------------------------------------------------------\
# |                                                             |
# |                             Lvx                             |
# |                                                             |
# \------------------------------------------------------------*/

lvx.done : digi.vst digi_e.al 
	$(ENV_LVX); $(LVX) vst al digi digi_e -f
	$(TOUCH) lvx.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             Druc                            |
# |                                                             |
# \------------------------------------------------------------*/

druc.done : lvx.done digi.ap
	$(ENV_DRUC); $(DRUC) digi
	$(TOUCH) druc.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             S2R                             |
# |                                                             |
# \------------------------------------------------------------*/

digi.cif : druc.done
	$(ENV_S2R); $(S2R) -v digi

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |
# |                                                             |
# \------------------------------------------------------------*/

graal: digi.ap
	$(ENV_S2R); $(GRAAL) -l digi

=== documentation/alliance-examples/hadamard/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk

VASY   = $(ALLIANCE_BIN)/vasy
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
SPI_MODEL       = $(SYSCONF_TOP)/spimodel.cfg
METAL_LEVEL     = 6

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environment                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


ENV_ASIMUT_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_VASY; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_NERO =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

#all :  hadamard_er.al
all :  hadamard_et.spi

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

hadamard.vst calcul.vbe ram.vbe rom.vbe compteur.vbe sequenceur.vbe hadamard_model.vbe : hadamard.vhdl
	$(ENV_VASY); $(VASY) -a -B -o -p -I vhdl -H hadamard

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_vasy_1.pat : hadamard.vst calcul.vbe ram.vbe rom.vbe \
                 compteur.vbe sequenceur.vbe hadamard_model.vbe
	$(ENV_ASIMUT_VASY); $(ASIMUT) hadamard hadamard_1 res_vasy_1

res_synth_1.pat : hadamard.vst calcul.vst ram.vst rom.vst \
                 compteur.vst sequenceur.vst hadamard_model.vst
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) -zd hadamard hadamard_1 res_synth_1


# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : calcul_o.vbe ram_o.vbe rom_o.vbe compteur_o.vbe \
            sequenceur_o.vbe hadamard_model_o.vbe
	@$(TOUCH) boom.done

calcul_o.vbe : calcul.vbe res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP calcul calcul_o

ram_o.vbe : ram.vbe res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP ram ram_o

rom_o.vbe : rom.vbe res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP rom rom_o

compteur_o.vbe : compteur.vbe res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP compteur compteur_o

sequenceur_o.vbe : sequenceur.vbe res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP sequenceur sequenceur_o

hadamard_model_o.vbe : hadamard_model.vbe res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP hadamard_model hadamard_model_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : calcul_o.vst ram_o.vst rom_o.vst compteur_o.vst \
            sequenceur_o.vst hadamard_model_o.vst
	@$(TOUCH) boog.done

calcul_o.vst : calcul_o.vbe
	$(ENV_BOOG); $(BOOG) calcul_o

ram_o.vst : ram_o.vbe
	$(ENV_BOOG); $(BOOG) ram_o

rom_o.vst : rom_o.vbe
	$(ENV_BOOG); $(BOOG) rom_o

compteur_o.vst : compteur_o.vbe
	$(ENV_BOOG); $(BOOG) compteur_o

sequenceur_o.vst : sequenceur_o.vbe
	$(ENV_BOOG); $(BOOG) sequenceur_o

hadamard_model_o.vst : hadamard_model_o.vbe
	$(ENV_BOOG); $(BOOG) hadamard_model_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : calcul.vst ram.vst rom.vst compteur.vst \
            sequenceur.vst hadamard_model.vst
	@$(TOUCH) loon.done

calcul.vst : calcul_o.vst
	$(ENV_LOON); $(LOON) calcul_o calcul

ram.vst : ram_o.vst
	$(ENV_LOON); $(LOON) ram_o ram

rom.vst : rom_o.vst
	$(ENV_LOON); $(LOON) rom_o rom

compteur.vst : compteur_o.vst
	$(ENV_LOON); $(LOON) compteur_o compteur

sequenceur.vst : sequenceur_o.vst
	$(ENV_LOON); $(LOON) sequenceur_o sequenceur

hadamard_model.vst : hadamard_model_o.vst
	$(ENV_LOON); $(LOON) hadamard_model_o hadamard_model

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

hadamard_p.ap : res_synth_1.pat
	$(ENV_OCP); $(OCP) -v -ioc hadamard -margin 0.4 -gnuplot  hadamard hadamard_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             NERO                            |
# |                                                             |
# \------------------------------------------------------------*/

hadamard.ap : hadamard_p.ap hadamard.vst
	$(ENV_NERO); $(NERO) -V -$(METAL_LEVEL) -p hadamard_p hadamard hadamard

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

hadamard_e.al : hadamard.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac hadamard hadamard_e

hadamard_et.al : hadamard.ap
	$(ENV_COUGAR); $(COUGAR) -v -t -ac hadamard hadamard_et

hadamard_e.spi : hadamard.ap hadamard_e.al
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac hadamard hadamard_e

hadamard_et.spi : hadamard.ap hadamard_e.al
	$(ENV_COUGAR_SPI); $(COUGAR) -v -t -ac hadamard hadamard_et

hadamard_er.al : hadamard.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t hadamard hadamard_er

# /*------------------------------------------------------------\
# |                                                             |

=== documentation/alliance-examples/mipsR3000/Makefile ===

all:
	cd sce; make
	cd asm; ./go-all.sh


clean:
	cd sce; make clean

=== documentation/alliance-examples/multi16b-reg/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk

VASY   = $(ALLIANCE_BIN)/vasy
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
SPI_MODEL       = $(SYSCONF_TOP)/spimodel.cfg
METAL_LEVEL     = 6

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environment                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


ENV_ASIMUT_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_VASY; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_NERO =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


all :  multi16.cif

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

multi16.vbe : multi16.vhdl
	$(ENV_VASY); $(VASY) -a -B -L -o -p -I vhdl multi16

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_vasy_1.pat : multi16.vbe
	$(ENV_ASIMUT_VASY); $(ASIMUT) -b multi16 multi16 res_vasy_1 

res_synth_1.pat : multi16.vst 
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) multi16 multi16 res_synth_1

res_synth_2.pat :
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) -zd multi16 multi16 res_synth_2

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : multi16_o.vbe
	@$(TOUCH) boom.done

multi16_o.vbe : multi16.vbe multi16.boom res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VAP multi16 multi16_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : multi16_o.vst
	@$(TOUCH) boog.done

multi16.vst : multi16_o.vbe
	$(ENV_BOOG); $(BOOG) multi16_o multi16

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : multi16.vst
	@$(TOUCH) loon.done

# multi16.vst : multi16_o.vst
#	$(ENV_LOON); $(LOON) multi16_o multi16

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

multi16_p.ap : res_synth_1.pat
	$(ENV_OCP); $(OCP) -v -gnuplot -ioc multi16  multi16 multi16_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             NERO                            |
# |                                                             |
# \------------------------------------------------------------*/

multi16.ap : multi16_p.ap multi16.vst
	$(ENV_NERO); $(NERO) -V -$(METAL_LEVEL) -p multi16_p multi16 multi16

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

multi16_e.spi : multi16.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac multi16 multi16_e

multi16_e.al : multi16.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac multi16 multi16_e

multi16_et.al : multi16.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac -t multi16 multi16_et

multi16_et.spi : multi16.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac -t multi16 multi16_et

multi16_er.al : multi16.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t multi16 multi16_er

# /*------------------------------------------------------------\
# |                                                             |
# |                             Lvx                             |
# |                                                             |
# \------------------------------------------------------------*/

lvx.done : multi16.vst multi16_e.al multi16_e.spi
	$(ENV_LVX); $(LVX) vst al multi16 multi16_e -f
	$(TOUCH) lvx.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             Druc                            |
# |                                                             |
# \------------------------------------------------------------*/

druc.done : lvx.done multi16.ap
	$(ENV_DRUC); $(DRUC) multi16
	$(TOUCH) druc.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             S2R                             |
# |                                                             |
# \------------------------------------------------------------*/

multi16.cif : druc.done
	$(ENV_S2R); $(S2R) -v multi16

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |
# |                                                             |
# \------------------------------------------------------------*/

graal: multi16.ap
	$(ENV_S2R); $(GRAAL) -l multi16

xsch: multi16.vst
	$(ENV_LOON); $(XSCH) -l multi16

xscht: multi16_et.al
	$(ENV_COUGAR); $(XSCH) -l multi16_et

xpat: res_synth_1.pat

=== documentation/alliance-examples/multi4b/Makefile ===
# /*------------------------------------------------------------\
# |                                                             |
# | File   :                    Makefile                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                              Cells                          |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Binary                          |
# |                                                             |
# \------------------------------------------------------------*/

include ../etc/alliance-env.mk

VASY   = $(ALLIANCE_BIN)/vasy
ASIMUT = $(ALLIANCE_BIN)/asimut
BOOM   = $(ALLIANCE_BIN)/boom
BOOG   = $(ALLIANCE_BIN)/boog
LOON   = $(ALLIANCE_BIN)/loon
OCP    = $(ALLIANCE_BIN)/ocp
NERO   = $(ALLIANCE_BIN)/nero
COUGAR = $(ALLIANCE_BIN)/cougar
LVX    = $(ALLIANCE_BIN)/lvx
DRUC   = $(ALLIANCE_BIN)/druc
S2R    = $(ALLIANCE_BIN)/s2r

DREAL  = $(ALLIANCE_BIN)/dreal
GRAAL  = $(ALLIANCE_BIN)/graal
XSCH   = $(ALLIANCE_BIN)/xsch
XPAT   = $(ALLIANCE_BIN)/xpat
XFSM   = $(ALLIANCE_BIN)/xfsm

TOUCH  = touch

TARGET_LIB      = $(CELLS_TOP)/sxlib
SPI_MODEL       = $(SYSCONF_TOP)/spimodel.cfg
METAL_LEVEL     = 2

# /*------------------------------------------------------------\
# |                                                             |
# |                            Environment                     |
# |                                                             |
# \------------------------------------------------------------*/

ENV_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=NO_CATAL; export MBK_CATAL_NAME

ENV_BOOM = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_BOOG = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LOON = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_TARGET_LIB=$(TARGET_LIB); export MBK_TARGET_LIB; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_ASIMUT_VASY = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL_ASIMUT_VASY; export MBK_CATAL_NAME;\
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_ASIMUT_SYNTH = MBK_WORK_LIB=.; export MBK_WORK_LIB;\
             MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME;\
             MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
             MBK_IN_LO=vst; export MBK_IN_LO;\
	     MBK_OUT_LO=vst; export MBK_OUT_LO

ENV_OCP =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_NERO =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME



ENV_COUGAR_SPI =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=spi; export MBK_IN_LO; \
	   MBK_OUT_LO=spi; export MBK_OUT_LO; \
           MBK_SPI_MODEL=$(SPI_MODEL); export MBK_SPI_MODEL; \
           MBK_SPI_ONE_NODE_NORC="true"; export MBK_SPI_ONE_NODE_NORC; \
           MBK_SPI_NAMEDNODES="true"; export MBK_SPI_NAMEDNODES; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_COUGAR =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=al; export MBK_IN_LO; \
	   MBK_OUT_LO=al; export MBK_OUT_LO; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_LVX =  MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           MBK_IN_LO=vst; export MBK_IN_LO; \
	   MBK_OUT_LO=vst; export MBK_OUT_LO; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_DRUC = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_SYMB); export RDS_TECHNO_NAME; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME

ENV_S2R  = MBK_WORK_LIB=.; export MBK_WORK_LIB; \
           RDS_TECHNO_NAME=$(RDS_TECHNO_REAL); export RDS_TECHNO_NAME; \
           RDS_IN=cif; export RDS_IN; \
           RDS_OUT=cif; export RDS_OUT; \
           MBK_IN_PH=ap; export MBK_IN_PH; \
           MBK_OUT_PH=ap; export MBK_OUT_PH; \
           MBK_CATA_LIB=$(TARGET_LIB); export MBK_CATA_LIB; \
           MBK_CATAL_NAME=CATAL; export MBK_CATAL_NAME


all :  multi4.cif

# /*------------------------------------------------------------\
# |                                                             |
# |                             Vasy                            |
# |                                                             |
# \------------------------------------------------------------*/

multi4.vbe : multi4.vhdl
	$(ENV_VASY); $(VASY) -a -B -o -p -I vhdl multi4

# /*------------------------------------------------------------\
# |                                                             |
# |                             Asimut                          |
# |                                                             |
# \------------------------------------------------------------*/

res_vasy_1.pat : multi4.vbe
	$(ENV_ASIMUT_VASY); $(ASIMUT) -b multi4 multi4 res_vasy_1 

res_synth_1.pat : multi4.vst 
	$(ENV_ASIMUT_SYNTH); $(ASIMUT) multi4 multi4 res_synth_1

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boom                            |
# |                                                             |
# \------------------------------------------------------------*/

boom.done : multi4_o.vbe
	@$(TOUCH) boom.done

multi4_o.vbe : multi4.vbe multi4.boom res_vasy_1.pat
	$(ENV_BOOM); $(BOOM) -VP multi4 multi4_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Boog                            |
# |                                                             |
# \------------------------------------------------------------*/

boog.done : multi4_o.vst
	@$(TOUCH) boog.done

multi4_o.vst : multi4_o.vbe
	$(ENV_BOOG); $(BOOG) multi4_o

# /*------------------------------------------------------------\
# |                                                             |
# |                             Loon                            |
# |                                                             |
# \------------------------------------------------------------*/

loon.done : multi4.vst
	@$(TOUCH) loon.done

multi4.vst : multi4_o.vst
	$(ENV_LOON); $(LOON) multi4_o multi4

# /*------------------------------------------------------------\
# |                                                             |
# |                             OCP                             |
# |                                                             |
# \------------------------------------------------------------*/

multi4_p.ap : res_synth_1.pat
	$(ENV_OCP); $(OCP) -v -gnuplot -ioc multi4  multi4 multi4_p

# /*------------------------------------------------------------\
# |                                                             |
# |                             NERO                            |
# |                                                             |
# \------------------------------------------------------------*/

multi4.ap : multi4_p.ap multi4.vst
	$(ENV_NERO); $(NERO) -V -$(METAL_LEVEL) -p multi4_p multi4 multi4

# /*------------------------------------------------------------\
# |                                                             |
# |                             Cougar                          |
# |                                                             |
# \------------------------------------------------------------*/

multi4_e.spi : multi4.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac multi4 multi4_e

multi4_erc.spi : multi4.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ar multi4 multi4_erc

multi4_erc.al : multi4.ap
	$(ENV_COUGAR); $(COUGAR) -v -ar multi4 multi4_erc

multi4_e.al : multi4.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac multi4 multi4_e

multi4_et.al : multi4.ap
	$(ENV_COUGAR); $(COUGAR) -v -ac -t multi4 multi4_et

multi4_et.spi : multi4.ap
	$(ENV_COUGAR_SPI); $(COUGAR) -v -ac -t multi4 multi4_et

multi4_er.al : multi4.cif
	$(ENV_COUGAR); $(COUGAR) -v -r -t multi4 multi4_er

multi4_real.al : multi4.ap
	$(ENV_COUGAR); $(ENV_S2R); $(COUGAR) -v -ac multi4 multi4_real

multi4_real_t.al : multi4.ap
	$(ENV_COUGAR); $(ENV_S2R); $(COUGAR) -v -t -ac multi4 multi4_real_t

# /*------------------------------------------------------------\
# |                                                             |
# |                             Lvx                             |
# |                                                             |
# \------------------------------------------------------------*/

lvx.done : multi4.vst multi4_e.al multi4_e.spi
	$(ENV_LVX); $(LVX) vst al multi4 multi4_e -f
	$(TOUCH) lvx.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             Druc                            |
# |                                                             |
# \------------------------------------------------------------*/

druc.done : lvx.done multi4.ap
	$(ENV_DRUC); $(DRUC) multi4
	$(TOUCH) druc.done

# /*------------------------------------------------------------\
# |                                                             |
# |                             S2R                             |
# |                                                             |
# \------------------------------------------------------------*/

multi4.cif : druc.done
	$(ENV_S2R); $(S2R) -v multi4

# /*------------------------------------------------------------\
# |                                                             |
# |                             TOOLS                           |

=== debian/changelog ===
alliance (5.1.1-3) unstable; urgency=medium

  * Fix FTBFS with recent TeX Live by specifying the input encoding
    of overview.tex.

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Apr 2018 11:04:52 +0300

alliance (5.1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #811553)
  * Fix FTBFS with fig2dev 3.2.7.

 -- Adrian Bunk <bunk@debian.org>  Sun, 15 Apr 2018 13:21:03 +0300

alliance (5.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with released 2.6 flex. Closes: #818517

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Apr 2016 08:44:38 +0100

alliance (5.1.1-1) unstable; urgency=medium

  * New upstream release
    - ctp_name now declared only once (Closes: #700965)
    - Deleted 06-fix-format-strings.patch (fixed upstream)
    - Deleted 10-fix-parser-extern.patch (obsolete)
    - Deleted 11-fix-segfaults.patch (fixed upstream)
  * debian/control: Updated homepage
  * debian/copyright: Updated homepage / download

 -- Roland Stigge <stigge@antcom.de>  Mon, 11 Jan 2016 19:42:30 +0100

alliance (5.0-20120515-7) unstable; urgency=medium

  * Fix bashism in /usr/bin/sea (Closes: #772192)
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Wed, 10 Dec 2014 13:44:12 +0100

=== debian/control ===
Source: alliance
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               bison,
               flex,
               texlive-latex-recommended,
	       texlive-fonts-recommended,
	       texlive-generic-recommended,
	       texlive-pictures,
               texlive-latex-extra,
               ghostscript,
	       automake,
	       autoconf,
	       libtool,
	       libmotif-dev,
	       libxt-dev,
	       libxpm-dev,
	       dpkg-dev (>= 1.16.1~),
	       python (>= 2.6.6-3~),
	       transfig,
               graphicsmagick-imagemagick-compat
Homepage: https://soc-extras.lip6.fr/en/alliance-abstract-en/
Standards-Version: 3.9.6

Package: alliance
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VLSI CAD Tools
 Alliance is a complete set of free CAD tools and portable libraries for
 VLSI design. It includes a VHDL compiler and simulator, logic synthesis
 tools, and automatic place and route tools.
 .
 A complete set of portable CMOS libraries is provided, including a
 RAM generator, a ROM generator and a data-path compiler.
 .
 Alliance is the result of more than ten years effort spent at ASIM department
 of LIP6 laboratory of the Pierre et Marie Curie University (Paris VI, France).
 .
 Alliance has been used for research projects such as the 875 000 transistors
 StaCS superscalar microprocessor and 400 000 transistors IEEE Gigabit HSL
 Router.
 .
 Alliance provides CAD tools covering most of all the digital design flow:
  * VHDL Compilation and Simulation
  * Model checking and formal proof
  * RTL and Logic synthesis 
  * Data-Path compilation
  * Macro-cells generation
  * Place and route
  * Layout edition
  * Netlist extraction and verification
  * Design rules checking

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2

override_dh_auto_configure:
	./autostuff
	dh_auto_configure -- \
		--enable-alc-shared \
		--disable-static \
		--libdir=/usr/lib/alliance \
		--includedir=/usr/include/alliance

override_dh_auto_clean:
	dh_auto_clean
	# Upstream workaround:
	-find . -name 'Makefile.in' | xargs rm -f
	-find . -name y.tab.h | xargs rm -f
	-rm -f compile ocp/src/placer/iocscan.c
	make -C documentation/tutorials/place_and_route/tex clean
	
override_dh_auto_install:
	dh_auto_install
	# filename clash with package manpages-dev:
	mv $(CURDIR)/debian/alliance/usr/share/man/man3/log.3 \
		$(CURDIR)/debian/alliance/usr/share/man/man3/alliance-log.3
	# filename clash with package ocp:
	mv $(CURDIR)/debian/alliance/usr/bin/ocp \
		$(CURDIR)/debian/alliance/usr/bin/alliance-ocp
	mv $(CURDIR)/debian/alliance/usr/share/man/man1/ocp.1 \
		$(CURDIR)/debian/alliance/usr/share/man/man1/alliance-ocp.1
	# filename clash with package nsis:
	mv $(CURDIR)/debian/alliance/usr/bin/genpat \
		$(CURDIR)/debian/alliance/usr/bin/alliance-genpat
	mv $(CURDIR)/debian/alliance/usr/share/man/man1/genpat.1 \
		$(CURDIR)/debian/alliance/usr/share/man/man1/alliance-genpat.1
	# fix permissions on profile files:
	chmod a-x $(CURDIR)/debian/alliance/etc/profile.d/*
	# fix .la files:
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/alliance -name '*.la'`

# don't touch postinst/postrm scripts - no exported shared libs in this package!
override_dh_makeshlibs:
	dh_makeshlibs -n
